Update a card account
curl --request PUT \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"status": "inactive"
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}"
payload = {
"currency": "<string>",
"status": "inactive"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: '<string>', status: 'inactive'})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'status' => 'inactive'
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}"
payload := strings.NewReader("{\n \"currency\": \"<string>\",\n \"status\": \"inactive\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"<string>\",\n \"status\": \"inactive\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"<string>\",\n \"status\": \"inactive\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"status": "active",
"balances": {
"available": {
"amount": "<string>",
"currency": "usdc"
},
"hold": {
"amount": "<string>",
"currency": "usdc"
}
},
"freezes": [
{
"card_account_id": "<string>",
"reason": "lost_or_stolen",
"created_at": "<string>",
"reason_detail": "<string>",
"starting_at": "<string>",
"ending_at": "<string>"
}
],
"client_reference_id": "<string>",
"cardholder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
},
"card_image_url": "<string>",
"status_reason": "<string>",
"card_details": {
"last_4": "1264",
"expiry": "10/24",
"bin": "44325280",
"pin_status": "not_set"
},
"stripe_card_id": "<string>",
"crypto_account": {
"type": "standard",
"address": "<string>"
},
"funding_instructions": {
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
},
"additional_funding_instructions": [
{
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
}
]
}Cards
Update a card account
Update a card account. Supports changing the settlement currency or closing a card account by setting the status to “inactive”. Closing permanently cancels all associated cards and is irreversible.
PUT
/
customers
/
{customerID}
/
card_accounts
/
{cardAccountID}
Update a card account
curl --request PUT \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "<string>",
"status": "inactive"
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}"
payload = {
"currency": "<string>",
"status": "inactive"
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: '<string>', status: 'inactive'})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'currency' => '<string>',
'status' => 'inactive'
]),
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}"
payload := strings.NewReader("{\n \"currency\": \"<string>\",\n \"status\": \"inactive\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}")
.header("Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"currency\": \"<string>\",\n \"status\": \"inactive\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"currency\": \"<string>\",\n \"status\": \"inactive\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"customer_id": "<string>",
"status": "active",
"balances": {
"available": {
"amount": "<string>",
"currency": "usdc"
},
"hold": {
"amount": "<string>",
"currency": "usdc"
}
},
"freezes": [
{
"card_account_id": "<string>",
"reason": "lost_or_stolen",
"created_at": "<string>",
"reason_detail": "<string>",
"starting_at": "<string>",
"ending_at": "<string>"
}
],
"client_reference_id": "<string>",
"cardholder_name": {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>"
},
"card_image_url": "<string>",
"status_reason": "<string>",
"card_details": {
"last_4": "1264",
"expiry": "10/24",
"bin": "44325280",
"pin_status": "not_set"
},
"stripe_card_id": "<string>",
"crypto_account": {
"type": "standard",
"address": "<string>"
},
"funding_instructions": {
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
},
"additional_funding_instructions": [
{
"currency": "usdc",
"chain": "arbitrum",
"address": "<string>",
"memo": "<string>"
}
]
}Path Parameters
Body
application/json
The card account update
Response
The updated card account
An expiring URL used to render the card image, with a validity period of 5 minutes. Note: This field will be deprecated in favor of the more secure and scalable card details API. Please see the integration guide on safely revealing card details for more information.
The Stripe Issuing card ID, if the card account is backed by Stripe Issuing
Was this page helpful?